## ros-indigo-pr2-calibration-launch 1.0.9

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html

# CATKIN_MIGRATION: removed during catkin migration
cmake_minimum_required(VERSION 2.8.3)
project(pr2_calibration_launch)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS calibration_msgs calibration_estimation calibration_launch pr2_dense_laser_snapshotter laser_cb_detector laser_joint_processor laser_joint_projector stereo_image_proc image_cb_detector monocam_settler image_view robot_mechanism_controllers sensor_msgs geometry_msgs pr2_teleop rospy rostest kdl_parser)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  rosbuild_init()

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

find_package(Eigen)
include_directories(SYSTEM ${Eigen_INCLUDE_DIRS})

#add_executable(pr2_fk_ref test/pr2_fk_ref.cpp)

#add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_pr2_fk.launch)

#uncomment if you have defined messages
#uncomment if you have defined services
add_service_files(
  FILES FkTest.srv
)
## Generate added messages and services with any dependencies listed here
#generate_messages(
#    #TODO DEPENDENCIES geometry_msgs std_msgs
#)
generate_messages()


## Generate added messages and services with any dependencies listed here

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS
    CATKIN_DEPENDS message_runtime# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(
  DIRECTORY capture_data estimate_params
  results view_results intrinsics pr2_urdf_parser_py verify_urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-indigo-pr2-calibration-launch (1.0.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 10 Mar 2018 21:30:36 -0000

ros-indigo-pr2-calibration-launch (1.0.7-0trusty) trusty; urgency=high

  * Install directories of pr2_calibration_launch
  * Contributors: Ryohei Ueda

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 06 Feb 2015 08:00:00 -0000

ros-indigo-pr2-calibration-launch (1.0.6-0trusty) trusty; urgency=high

  * Changelogs
  * Fix PR2 calibration by using hacked version of urdf_parser_py by
    overwriting PYTHONPATH in the shell scripts.
  * Contributors: Ryohei Ueda, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-pr2-calibration-launch (1.0.5-0trusty) trusty; urgency=high

  * Removed mainpage.dox for *
  * fix for catkin make
  * Contributors: JSK applications, TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-indigo-pr2-calibration-launch (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 07:00:00 -0000

ros-indigo-pr2-calibration-launch (1.0.3-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 11 Sep 2014 07:00:00 -0000

ros-indigo-pr2-calibration-launch (1.0.1-0trusty) trusty; urgency=high

  * x
  * Added hydro devel, compiles and makes in hydro
  * Catkinization of pr2_calibration_launch
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-calibration-launch
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-calibration-estimation, ros-indigo-calibration-launch, ros-indigo-calibration-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-image-cb-detector, ros-indigo-image-view, ros-indigo-kdl-parser, ros-indigo-laser-cb-detector, ros-indigo-laser-joint-processor, ros-indigo-laser-joint-projector, ros-indigo-message-generation, ros-indigo-monocam-settler, ros-indigo-pr2-dense-laser-snapshotter, ros-indigo-pr2-teleop, ros-indigo-python-orocos-kdl, ros-indigo-robot-mechanism-controllers, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-stereo-image-proc
Homepage: http://www.ros.org/wiki/pr2_calibration_launch
Standards-Version: 3.9.2

Package: ros-indigo-pr2-calibration-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-calibration-estimation, ros-indigo-calibration-launch, ros-indigo-calibration-msgs, ros-indigo-geometry-msgs, ros-indigo-image-cb-detector, ros-indigo-image-view, ros-indigo-kdl-parser, ros-indigo-laser-cb-detector, ros-indigo-laser-joint-processor, ros-indigo-laser-joint-projector, ros-indigo-message-runtime, ros-indigo-monocam-settler, ros-indigo-pr2-dense-laser-snapshotter, ros-indigo-pr2-teleop, ros-indigo-python-orocos-kdl, ros-indigo-robot-mechanism-controllers, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-stereo-image-proc
Description: Launch files and configuration files needed to run the calibration pipeline on PR2.
 This package is still experimental. Expect large changes tp occur.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-calibration-launch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
